package com.bcxin.ars.model.zw;

import java.util.Date;

public class Pctinfo {
	
    /**  */
    private String dbid;

    /** 人员信息条码号 */
    private String barcode;

    /** 姓名 */
    private String name;

    /** 别名 */
    private String aliasname;

    /** 身份证号 */
    private String idnumber;

    /** 性别 */
    private String sex;

    /** 生日 */
    private Date birthdate;

    /** 户籍地代码 */
    private String sdomiciliaryregistercode;

    /** 户籍地详址 */
    private String sdomiciliaryregisterdetail;

    /** 现住址代码 */
    private String addresscode;

    /** 现住址详址 */
    private String address;

    /** 案件类别代码1 */
    private String caseclasscode1;

    /** 捺印部门名称 */
    private String collectunitname;

    /** 捺印部门代码 */
    private String collectunitcode;

    /** 捺印收集人 */
    private String collectorname;

    /** 人员类别文字 */
    private String mantype;

    /** 人员类别标志 */
    private String mantypeset;

    /** 捺印日期 */
    private Date collectdate;

    public String getDbid() {
        return dbid;
    }

    public void setDbid(String dbid) {
        this.dbid = dbid == null ? null : dbid.trim();
    }

    public String getBarcode() {
        return barcode;
    }

    public void setBarcode(String barcode) {
        this.barcode = barcode == null ? null : barcode.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getAliasname() {
        return aliasname;
    }

    public void setAliasname(String aliasname) {
        this.aliasname = aliasname == null ? null : aliasname.trim();
    }

    public String getIdnumber() {
        return idnumber;
    }

    public void setIdnumber(String idnumber) {
        this.idnumber = idnumber == null ? null : idnumber.trim();
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex == null ? null : sex.trim();
    }

    public Date getBirthdate() {
        return birthdate;
    }

    public void setBirthdate(Date birthdate) {
        this.birthdate = birthdate;
    }

    public String getSdomiciliaryregistercode() {
        return sdomiciliaryregistercode;
    }

    public void setSdomiciliaryregistercode(String sdomiciliaryregistercode) {
        this.sdomiciliaryregistercode = sdomiciliaryregistercode == null ? null : sdomiciliaryregistercode.trim();
    }

    public String getSdomiciliaryregisterdetail() {
        return sdomiciliaryregisterdetail;
    }

    public void setSdomiciliaryregisterdetail(String sdomiciliaryregisterdetail) {
        this.sdomiciliaryregisterdetail = sdomiciliaryregisterdetail == null ? null : sdomiciliaryregisterdetail.trim();
    }

    public String getAddresscode() {
        return addresscode;
    }

    public void setAddresscode(String addresscode) {
        this.addresscode = addresscode == null ? null : addresscode.trim();
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address == null ? null : address.trim();
    }

    public String getCaseclasscode1() {
        return caseclasscode1;
    }

    public void setCaseclasscode1(String caseclasscode1) {
        this.caseclasscode1 = caseclasscode1 == null ? null : caseclasscode1.trim();
    }

    public String getCollectunitname() {
        return collectunitname;
    }

    public void setCollectunitname(String collectunitname) {
        this.collectunitname = collectunitname == null ? null : collectunitname.trim();
    }

    public String getCollectunitcode() {
        return collectunitcode;
    }

    public void setCollectunitcode(String collectunitcode) {
        this.collectunitcode = collectunitcode == null ? null : collectunitcode.trim();
    }

    public String getCollectorname() {
        return collectorname;
    }

    public void setCollectorname(String collectorname) {
        this.collectorname = collectorname == null ? null : collectorname.trim();
    }

    public String getMantype() {
        return mantype;
    }

    public void setMantype(String mantype) {
        this.mantype = mantype == null ? null : mantype.trim();
    }

    public String getMantypeset() {
        return mantypeset;
    }

    public void setMantypeset(String mantypeset) {
        this.mantypeset = mantypeset == null ? null : mantypeset.trim();
    }

    public Date getCollectdate() {
        return collectdate;
    }

    public void setCollectdate(Date collectdate) {
        this.collectdate = collectdate;
    }
}